%define anolis_release 2

%global pypi_name markdown-it-py

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Python port of markdown-it

License:        MIT
URL:            https://github.com/executablebooks/markdown-it-py
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-tomli

%global _description %{expand:
Markdown parser done right. Its features:
Follows the CommonMark spec for baseline parsing.
Has configurable syntax: you can add new rules and even replace existing ones.
Pluggable: Adds syntax extensions to extend the parser.
High speed & safe by default
}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description

%pyproject_extras_subpkg -n python3-%{pypi_name} linkify plugins

%package -n     python3-%{pypi_name}-doc
Summary:        doc files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
doc files for python3-%{pypi_name}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove unnecessary shebang
sed -i '1{\@^#!/usr/bin/env python@d}' markdown_it/cli/parse.py
# Remove coverage (it resides in testing extra which we want to use)
# Upstream issue to move those to another extra:
# https://github.com/executablebooks/markdown-it-py/issues/195
sed -i '/"coverage",/d' pyproject.toml
sed -i '/"pytest-cov",/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files markdown_it

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE LICENSE.markdown-it
%{_bindir}/markdown-it

%files -n python3-%{pypi_name}-doc
%doc README.md

%changelog
* Mon Mar 25 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.2.0-2
- Rebuild with python3.11

* Wed Mar 22 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.2.0-1
- Init upstream from version 2.2.0
